using Newtonsoft.Json;

namespace eSuite.API.SingleSignOn;

/// <summary>
/// Used to convert an OpenId response Json to a class
/// </summary>
public class OpenIdResponse
{
    /// <summary>
    /// Access token
    /// </summary>
    [JsonProperty("access_token")]
    public string AccessToken { get; set; } = string.Empty;

    /// <summary>
    /// how long until this class's content expires
    /// </summary>
    [JsonProperty("expires_in")]
    public int ExpiresIn { get; set; }

    /// <summary>
    /// scope of the authorisation given by the access token
    /// </summary>
    [JsonProperty("scope")]
    public string Scope { get; set; } = string.Empty;

    /// <summary>
    /// Token type
    /// </summary>
    [JsonProperty("token_type")]
    public string TokenType { get; set; } = string.Empty;

    /// <summary>
    /// id token
    /// </summary>
    [JsonProperty("id_token")]
    public string IdToken { get; set; } = string.Empty;
}